//anonim függvény
(function () {

});

let szam1 = 5;


(function (szam1, szam2) {
    console.log(`Összeg: ${szam1 + szam2}`);
})(szam1, 3);


let anonim = function () {
    //anonim függvény törzse
    console.log("anonim");
};

anonim();

//objektumok esetén

objektumNeve = {
    nev: "Példa",
    kiiras: function() {
        console.log(this.nev);
    }
}

objektumNeve.kiiras();

let fgNeve = () => {
    console.log("asd");
};

fgNeve();

let anonimFgvPelda = function() {
    console.log("pelda");
};

document.getElementById("gombID").addEventListener("click", function(){
    gombnyomaserzekelo();
});

let gombnyomaserzekelo = () => {
    document.getElementById("valaszID").innerHTML = "megnyomtad a gombot";
}